#include <stdio.h>
#include <string.h>
#include <ctype.h>

#define BUFFER_SIZE	1024
#define STARTLINE 		3
#define PROMPTCOL 		3
#define FIELDCOL 		25

char buf[BUFFER_SIZE];


void main(void)
{
	char *tokptr, *nameptr;
	int count, line;

	while(gets(buf) != NULL)
	{
		/* Get function name and type. */
		tokptr = strtok(buf,"(,)");

		/* Look for the end of first token. */
		nameptr = strchr(tokptr,'\0');

		/* Now, parse function name from
			first token by backing up from end,
			stopping at first invalid label character. */
		nameptr--;
		while(isalnum(*nameptr) || (*nameptr == '_'))
			nameptr--;
		nameptr++;

		/* Write function name delimited by
			semicolons, will serve as tag for
			BRIEF macro c_call. */
		printf(";%s;\n",nameptr);
		
		/* Convert function name and type information
			to dialog box data format. */
		printf("T(1,%d)=\"%s():\"\n",PROMPTCOL,tokptr);


		/* Now, run through rest of tokens, which will be
			the formal parameters for the function. */
		line = STARTLINE;
		count = 0;
		while((tokptr=strtok(NULL,"(,)")) != NULL)
		{
			printf("T(%d,%d)=\"%s\"\n",line,PROMPTCOL,tokptr);
			printf("S(%d,%d)=\" \"\n",line++,FIELDCOL);
			count++;
		}

		/* Finally, terminate field list and write
			number of parameters read for function. */
		printf(";\n%d\n\n",count);
	}
}
